> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/xamarin/guides/viewer-components/ocg-layer-browser-a.md).

# Selectively browse PDF OCG layers in Xamarin

Learn how to use PdfLayerDialogFragment in Xamarin.Android to manage OCG layers in PDF documents. Optimize visibility of graphic content with this tutorial. The Apryse Xamarin SDK streamlines secure,

{% hint style="info" %}
**This tutorial only applies to Xamarin.Android. See the Xamarin.iOS equivalent here .**
{% endhint %}

A PDF OCG (Optional Content Groups) dictionary represents a collection of graphic objects that can be made visible or invisible. Any graphic content of the PDF can be made optional, including page contents, XObjects, and annotations.

The `PdfLayerDialogFragment` allows you to browse OCG layers associated with the document. You can selectively render layers based on their states. In a tree view of nested layers, if the parent layer is hidden, the child layers are automatically hidden as well. If the parent layer is visible, child layers can be made visible or hidden.

![](https://653871032-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgjsBtuYmcKhWOdM9VCg4%2Fuploads%2Fgit-blob-c05c630dc07dd900692cc117020e05f47e597521%2Ffdfbb9483f163a86bf1d84032616482f8b83a3eb-366x728.gif?alt=media)

## Show the OCG layer browser

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
public void Show(PDFViewCtrl pdfViewCtrl, FragmentManager fragmentManager) {
    var pdfLayerDialogFragment = PdfLayerDialogFragment.NewInstance();
    pdfLayerDialogFragment.SetPdfViewCtrl(pdfViewCtrl);
    pdfLayerDialogFragment.SetStyle((int)DialogFragmentStyle.NoTitle, Resource.Style.PDFTronAppTheme);
    if (fragmentManager != null) {
        pdfLayerDialogFragment.Show(fragmentManager, "pdf_layer_dialog");
    }
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/xamarin/guides/viewer-components/ocg-layer-browser-a.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
